/*-------------------------------------------------------------------------
 |                                                                         
 |                    SAS SETUP FILE FOR 
 |        NATIONAL MENTAL HEALTH SERVICES SURVEY (N-MHSS) - 2020
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace 'SAS-dataset' with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

* SAS DATA STEP;
DATA;
SET SAS-dataset ;

* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
    IF (MHINTAKE  <= -1) THEN MHINTAKE  = .;
    IF (MHDIAGEVAL  <= -1) THEN MHDIAGEVAL  = .;
    IF (MHREFERRAL  <= -1) THEN MHREFERRAL  = .;
    IF (SMISEDSUD  <= -1) THEN SMISEDSUD  = .;
    IF (TREATMT  <= -1) THEN TREATMT  = .;
    IF (ADMINSERV  <= -1) THEN ADMINSERV  = .;
    IF (SETTINGIP  <= -1) THEN SETTINGIP  = .;
    IF (SETTINGRC  <= -1) THEN SETTINGRC  = .;
    IF (SETTINGDTPH  <= -1) THEN SETTINGDTPH  = .;
    IF (SETTINGOP  <= -1) THEN SETTINGOP  = .;
    IF (FACILITYTYPE  <= -1) THEN FACILITYTYPE  = .;
    IF (FOCUS  <= -1) THEN FOCUS  = .;
    IF (OWNERSHP  <= -1) THEN OWNERSHP  = .;
    IF (PUBLICAGENCY  <= -1) THEN PUBLICAGENCY  = .;
    IF (RELIG  <= -1) THEN RELIG  = .;
    IF (TREATPSYCHOTHRPY  <= -1) THEN TREATPSYCHOTHRPY  = .;
    IF (TREATFAMTHRPY  <= -1) THEN TREATFAMTHRPY  = .;
    IF (TREATGRPTHRPY  <= -1) THEN TREATGRPTHRPY  = .;
    IF (TREATCOGTHRPY  <= -1) THEN TREATCOGTHRPY  = .;
    IF (TREATDIALTHRPY  <= -1) THEN TREATDIALTHRPY  = .;
    IF (TREATCOGREM  <= -1) THEN TREATCOGREM  = .;
    IF (TREATBEHAVMOD  <= -1) THEN TREATBEHAVMOD  = .;
    IF (TREATDUALMHSA  <= -1) THEN TREATDUALMHSA  = .;
    IF (TREATTRAUMATHRPY  <= -1) THEN TREATTRAUMATHRPY  = .;
    IF (TREATACTVTYTHRPY  <= -1) THEN TREATACTVTYTHRPY  = .;
    IF (TREATELECTRO  <= -1) THEN TREATELECTRO  = .;
    IF (TREATTMS  <= -1) THEN TREATTMS  = .;
    IF (TREATKIT  <= -1) THEN TREATKIT  = .;
    IF (TREATEMDR  <= -1) THEN TREATEMDR  = .;
    IF (TREATTELEMEDINCE  <= -1) THEN TREATTELEMEDINCE  = .;
    IF (TREATOTH  <= -1) THEN TREATOTH  = .;
    IF (NOTREAT  <= -1) THEN NOTREAT  = .;
    IF (ANTIPSYCH  <= -1) THEN ANTIPSYCH  = .;
    IF (CHLOR_NO  <= -1) THEN CHLOR_NO  = .;
    IF (CHLOR_ORAL  <= -1) THEN CHLOR_ORAL  = .;
    IF (CHLOR_INJ  <= -1) THEN CHLOR_INJ  = .;
    IF (CHLOR_REC  <= -1) THEN CHLOR_REC  = .;
    IF (DROPE_NO  <= -1) THEN DROPE_NO  = .;
    IF (DROPE_INJ  <= -1) THEN DROPE_INJ  = .;
    IF (FLUPH_NO  <= -1) THEN FLUPH_NO  = .;
    IF (FLUPH_ORAL  <= -1) THEN FLUPH_ORAL  = .;
    IF (FLUPH_INJ  <= -1) THEN FLUPH_INJ  = .;
    IF (FLUPH_LAI  <= -1) THEN FLUPH_LAI  = .;
    IF (HALOP_NO  <= -1) THEN HALOP_NO  = .;
    IF (HALOP_ORAL  <= -1) THEN HALOP_ORAL  = .;
    IF (HALOP_INJ  <= -1) THEN HALOP_INJ  = .;
    IF (HALOP_LAI  <= -1) THEN HALOP_LAI  = .;
    IF (LOXAP_NO  <= -1) THEN LOXAP_NO  = .;
    IF (LOXAP_ORAL  <= -1) THEN LOXAP_ORAL  = .;
    IF (LOXAP_INJ  <= -1) THEN LOXAP_INJ  = .;
    IF (PERPH_NO  <= -1) THEN PERPH_NO  = .;
    IF (PERPH_ORAL  <= -1) THEN PERPH_ORAL  = .;
    IF (PERPH_INJ  <= -1) THEN PERPH_INJ  = .;
    IF (PIMOZ_NO  <= -1) THEN PIMOZ_NO  = .;
    IF (PIMOZ_ORAL  <= -1) THEN PIMOZ_ORAL  = .;
    IF (PIMOZ_TOP  <= -1) THEN PIMOZ_TOP  = .;
    IF (PROCH_NO  <= -1) THEN PROCH_NO  = .;
    IF (PROCH_ORAL  <= -1) THEN PROCH_ORAL  = .;
    IF (PROCH_INJ  <= -1) THEN PROCH_INJ  = .;
    IF (PROCH_REC  <= -1) THEN PROCH_REC  = .;
    IF (THIOT_NO  <= -1) THEN THIOT_NO  = .;
    IF (THIOT_ORAL  <= -1) THEN THIOT_ORAL  = .;
    IF (THIOT_INJ  <= -1) THEN THIOT_INJ  = .;
    IF (THIOR_NO  <= -1) THEN THIOR_NO  = .;
    IF (THIOR_ORAL  <= -1) THEN THIOR_ORAL  = .;
    IF (TRIFL_NO  <= -1) THEN TRIFL_NO  = .;
    IF (TRIFL_ORAL  <= -1) THEN TRIFL_ORAL  = .;
    IF (TRIFL_INJ  <= -1) THEN TRIFL_INJ  = .;
    IF (FSTGENOTH_NO  <= -1) THEN FSTGENOTH_NO  = .;
    IF (FSTGENOTH_ORAL  <= -1) THEN FSTGENOTH_ORAL  = .;
    IF (FSTGENOTH_INJ  <= -1) THEN FSTGENOTH_INJ  = .;
    IF (FSTGENOTH_LAI  <= -1) THEN FSTGENOTH_LAI  = .;
    IF (FSTGENOTH_REC  <= -1) THEN FSTGENOTH_REC  = .;
    IF (FSTGENOTH_TOP  <= -1) THEN FSTGENOTH_TOP  = .;
    IF (ARIPI_NO  <= -1) THEN ARIPI_NO  = .;
    IF (ARIPI_ORAL  <= -1) THEN ARIPI_ORAL  = .;
    IF (ARIPI_INJ  <= -1) THEN ARIPI_INJ  = .;
    IF (ARIPI_LAI  <= -1) THEN ARIPI_LAI  = .;
    IF (ASENA_NO  <= -1) THEN ASENA_NO  = .;
    IF (ASENA_ORAL  <= -1) THEN ASENA_ORAL  = .;
    IF (ASENA_INJ  <= -1) THEN ASENA_INJ  = .;
    IF (BREXP_NO  <= -1) THEN BREXP_NO  = .;
    IF (BREXP_ORAL  <= -1) THEN BREXP_ORAL  = .;
    IF (CARIP_NO  <= -1) THEN CARIP_NO  = .;
    IF (CARIP_ORAL  <= -1) THEN CARIP_ORAL  = .;
    IF (CLOZA_NO  <= -1) THEN CLOZA_NO  = .;
    IF (CLOZA_ORAL  <= -1) THEN CLOZA_ORAL  = .;
    IF (ILOPE_NO  <= -1) THEN ILOPE_NO  = .;
    IF (ILOPE_ORAL  <= -1) THEN ILOPE_ORAL  = .;
    IF (LURAS_NO  <= -1) THEN LURAS_NO  = .;
    IF (LURAS_ORAL  <= -1) THEN LURAS_ORAL  = .;
    IF (OLANZ_NO  <= -1) THEN OLANZ_NO  = .;
    IF (OLANZ_ORAL  <= -1) THEN OLANZ_ORAL  = .;
    IF (OLANZ_INJ  <= -1) THEN OLANZ_INJ  = .;
    IF (OLANZ_LAI  <= -1) THEN OLANZ_LAI  = .;
    IF (OLANZFLU_NO  <= -1) THEN OLANZFLU_NO  = .;
    IF (OLANZFLU_ORAL  <= -1) THEN OLANZFLU_ORAL  = .;
    IF (PALIP_NO  <= -1) THEN PALIP_NO  = .;
    IF (PALIP_ORAL  <= -1) THEN PALIP_ORAL  = .;
    IF (PALIP_INJ  <= -1) THEN PALIP_INJ  = .;
    IF (PALIP_LAI  <= -1) THEN PALIP_LAI  = .;
    IF (QUETI_NO  <= -1) THEN QUETI_NO  = .;
    IF (QUETI_ORAL  <= -1) THEN QUETI_ORAL  = .;
    IF (RISPE_NO  <= -1) THEN RISPE_NO  = .;
    IF (RISPE_ORAL  <= -1) THEN RISPE_ORAL  = .;
    IF (RISPE_INJ  <= -1) THEN RISPE_INJ  = .;
    IF (RISPE_LAI  <= -1) THEN RISPE_LAI  = .;
    IF (ZIPRA_NO  <= -1) THEN ZIPRA_NO  = .;
    IF (ZIPRA_ORAL  <= -1) THEN ZIPRA_ORAL  = .;
    IF (ZIPRA_INJ  <= -1) THEN ZIPRA_INJ  = .;
    IF (SECGEN1OTH_NO  <= -1) THEN SECGEN1OTH_NO  = .;
    IF (SECGEN1OTH_ORAL  <= -1) THEN SECGEN1OTH_ORAL  = .;
    IF (SECGEN1OTH_INJ  <= -1) THEN SECGEN1OTH_INJ  = .;
    IF (SECGEN1OTH_LAI  <= -1) THEN SECGEN1OTH_LAI  = .;
    IF (SECGEN1OTH_REC  <= -1) THEN SECGEN1OTH_REC  = .;
    IF (SECGEN1OTH_TOP  <= -1) THEN SECGEN1OTH_TOP  = .;
    IF (SECGEN2OTH_NO  <= -1) THEN SECGEN2OTH_NO  = .;
    IF (SECGEN2OTH_ORAL  <= -1) THEN SECGEN2OTH_ORAL  = .;
    IF (SECGEN2OTH_INJ  <= -1) THEN SECGEN2OTH_INJ  = .;
    IF (SECGEN2OTH_LAI  <= -1) THEN SECGEN2OTH_LAI  = .;
    IF (SECGEN2OTH_REC  <= -1) THEN SECGEN2OTH_REC  = .;
    IF (SECGEN2OTH_TOP  <= -1) THEN SECGEN2OTH_TOP  = .;
    IF (SECGEN3OTH_NO  <= -1) THEN SECGEN3OTH_NO  = .;
    IF (SECGEN3OTH_ORAL  <= -1) THEN SECGEN3OTH_ORAL  = .;
    IF (SECGEN3OTH_INJ  <= -1) THEN SECGEN3OTH_INJ  = .;
    IF (SECGEN3OTH_LAI  <= -1) THEN SECGEN3OTH_LAI  = .;
    IF (SECGEN3OTH_REC  <= -1) THEN SECGEN3OTH_REC  = .;
    IF (SECGEN3OTH_TOP  <= -1) THEN SECGEN3OTH_TOP  = .;
    IF (ASSERTCOMM  <= -1) THEN ASSERTCOMM  = .;
    IF (MHINTCASEMGMT  <= -1) THEN MHINTCASEMGMT  = .;
    IF (MHCASEMGMT  <= -1) THEN MHCASEMGMT  = .;
    IF (MHCOURTORDERED  <= -1) THEN MHCOURTORDERED  = .;
    IF (MHAOT  <= -1) THEN MHAOT  = .;
    IF (MHCHRONIC  <= -1) THEN MHCHRONIC  = .;
    IF (ILLNESSMGMT  <= -1) THEN ILLNESSMGMT  = .;
    IF (PRIMARYCARE  <= -1) THEN PRIMARYCARE  = .;
    IF (DIETEXERCOUNSEL  <= -1) THEN DIETEXERCOUNSEL  = .;
    IF (FAMPSYCHED  <= -1) THEN FAMPSYCHED  = .;
    IF (MHEDUCATION  <= -1) THEN MHEDUCATION  = .;
    IF (MHHOUSING  <= -1) THEN MHHOUSING  = .;
    IF (SUPPHOUSING  <= -1) THEN SUPPHOUSING  = .;
    IF (MHPSYCHREHAB  <= -1) THEN MHPSYCHREHAB  = .;
    IF (MHVOCREHAB  <= -1) THEN MHVOCREHAB  = .;
    IF (SUPPEMPLOY  <= -1) THEN SUPPEMPLOY  = .;
    IF (FOSTERCARE  <= -1) THEN FOSTERCARE  = .;
    IF (MHLEGAL  <= -1) THEN MHLEGAL  = .;
    IF (MHEMGCY  <= -1) THEN MHEMGCY  = .;
    IF (MHSUICIDE  <= -1) THEN MHSUICIDE  = .;
    IF (MHCONSUMER  <= -1) THEN MHCONSUMER  = .;
    IF (MHHBV  <= -1) THEN MHHBV  = .;
    IF (MHHCV  <= -1) THEN MHHCV  = .;
    IF (MHHIV  <= -1) THEN MHHIV  = .;
    IF (MHSTD  <= -1) THEN MHSTD  = .;
    IF (MHTB  <= -1) THEN MHTB  = .;
    IF (MHTOBACCOUSE  <= -1) THEN MHTOBACCOUSE  = .;
    IF (MHTOBACCOCESS  <= -1) THEN MHTOBACCOCESS  = .;
    IF (MHNICOTINEREP  <= -1) THEN MHNICOTINEREP  = .;
    IF (SMOKINGCESSATION  <= -1) THEN SMOKINGCESSATION  = .;
    IF (MHOTH  <= -1) THEN MHOTH  = .;
    IF (MHNOSVCS  <= -1) THEN MHNOSVCS  = .;
    IF (YNGCHLD  <= -1) THEN YNGCHLD  = .;
    IF (CHILDREN  <= -1) THEN CHILDREN  = .;
    IF (ADOLES  <= -1) THEN ADOLES  = .;
    IF (YOUNGADULTS  <= -1) THEN YOUNGADULTS  = .;
    IF (ADULT  <= -1) THEN ADULT  = .;
    IF (SENIORS  <= -1) THEN SENIORS  = .;
    IF (SED  <= -1) THEN SED  = .;
    IF (TAYOUNGADULTS  <= -1) THEN TAYOUNGADULTS  = .;
    IF (SPMI  <= -1) THEN SPMI  = .;
    IF (SRVC63  <= -1) THEN SRVC63  = .;
    IF (ALZHDEMENTIA  <= -1) THEN ALZHDEMENTIA  = .;
    IF (SRVC31  <= -1) THEN SRVC31  = .;
    IF (SPECGRPEATING  <= -1) THEN SPECGRPEATING  = .;
    IF (FIRSTEPPSYCH  <= -1) THEN FIRSTEPPSYCH  = .;
    IF (SRVC122  <= -1) THEN SRVC122  = .;
    IF (POSTTRAUM  <= -1) THEN POSTTRAUM  = .;
    IF (SRVC116  <= -1) THEN SRVC116  = .;
    IF (TRAUMATICBRAIN  <= -1) THEN TRAUMATICBRAIN  = .;
    IF (SRVC113  <= -1) THEN SRVC113  = .;
    IF (SRVC114  <= -1) THEN SRVC114  = .;
    IF (SRVC115  <= -1) THEN SRVC115  = .;
    IF (SRVC62  <= -1) THEN SRVC62  = .;
    IF (SRVC61  <= -1) THEN SRVC61  = .;
    IF (SRVC32  <= -1) THEN SRVC32  = .;
    IF (SRVC35  <= -1) THEN SRVC35  = .;
    IF (NOSPECGRP  <= -1) THEN NOSPECGRP  = .;
    IF (CRISISTEAM2  <= -1) THEN CRISISTEAM2  = .;
    IF (PSYCHON  <= -1) THEN PSYCHON  = .;
    IF (PSYCHOFF  <= -1) THEN PSYCHOFF  = .;
    IF (SIGNLANG  <= -1) THEN SIGNLANG  = .;
    IF (LANG  <= -1) THEN LANG  = .;
    IF (LANGPROV  <= -1) THEN LANGPROV  = .;
    IF (LANG16  <= -1) THEN LANG16  = .;
    IF (LANG_B  <= -1) THEN LANG_B  = .;
    IF (LANG1  <= -1) THEN LANG1  = .;
    IF (LANG2  <= -1) THEN LANG2  = .;
    IF (LANG3  <= -1) THEN LANG3  = .;
    IF (LANG21  <= -1) THEN LANG21  = .;
    IF (LANG4  <= -1) THEN LANG4  = .;
    IF (LANG5  <= -1) THEN LANG5  = .;
    IF (LANG6  <= -1) THEN LANG6  = .;
    IF (LANG7  <= -1) THEN LANG7  = .;
    IF (LANG8  <= -1) THEN LANG8  = .;
    IF (LANG24  <= -1) THEN LANG24  = .;
    IF (LANG9  <= -1) THEN LANG9  = .;
    IF (LANG10  <= -1) THEN LANG10  = .;
    IF (LANG22  <= -1) THEN LANG22  = .;
    IF (LANG25  <= -1) THEN LANG25  = .;
    IF (LANG26  <= -1) THEN LANG26  = .;
    IF (LANG11  <= -1) THEN LANG11  = .;
    IF (LANG19  <= -1) THEN LANG19  = .;
    IF (LANG23  <= -1) THEN LANG23  = .;
    IF (LANG12  <= -1) THEN LANG12  = .;
    IF (LANG13  <= -1) THEN LANG13  = .;
    IF (LANG14  <= -1) THEN LANG14  = .;
    IF (LANG15  <= -1) THEN LANG15  = .;
    IF (LANG20  <= -1) THEN LANG20  = .;
    IF (LANG17  <= -1) THEN LANG17  = .;
    IF (LANG18  <= -1) THEN LANG18  = .;
    IF (CONTED  <= -1) THEN CONTED  = .;
    IF (CASEREV  <= -1) THEN CASEREV  = .;
    IF (QUALREV  <= -1) THEN QUALREV  = .;
    IF (OUTFUP  <= -1) THEN OUTFUP  = .;
    IF (CQIP  <= -1) THEN CQIP  = .;
    IF (SATSUR  <= -1) THEN SATSUR  = .;
    IF (CPPR  <= -1) THEN CPPR  = .;
    IF (RCA  <= -1) THEN RCA  = .;
    IF (SMOKINGPOLICY  <= -1) THEN SMOKINGPOLICY  = .;
    IF (USEDSECLUSION  <= -1) THEN USEDSECLUSION  = .;
    IF (ADOPTSECLUSION  <= -1) THEN ADOPTSECLUSION  = .;
    IF (FEESCALE  <= -1) THEN FEESCALE  = .;
    IF (PAYASST  <= -1) THEN PAYASST  = .;
    IF (REVCHK1  <= -1) THEN REVCHK1  = .;
    IF (REVCHK2  <= -1) THEN REVCHK2  = .;
    IF (REVCHK8  <= -1) THEN REVCHK8  = .;
    IF (REVCHK5  <= -1) THEN REVCHK5  = .;
    IF (REVCHK10  <= -1) THEN REVCHK10  = .;
    IF (FUNDSMHA  <= -1) THEN FUNDSMHA  = .;
    IF (FUNDSTATEWELFARE  <= -1) THEN FUNDSTATEWELFARE  = .;
    IF (FUNDSTATEJUV  <= -1) THEN FUNDSTATEJUV  = .;
    IF (FUNDSTATEEDUC  <= -1) THEN FUNDSTATEEDUC  = .;
    IF (FUNDOTHSTATE  <= -1) THEN FUNDOTHSTATE  = .;
    IF (FUNDLOCALGOV  <= -1) THEN FUNDLOCALGOV  = .;
    IF (FUNDCSBG  <= -1) THEN FUNDCSBG  = .;
    IF (FUNDCMHG  <= -1) THEN FUNDCMHG  = .;
    IF (FUNDFEDGRANT  <= -1) THEN FUNDFEDGRANT  = .;
    IF (REVCHK15  <= -1) THEN REVCHK15  = .;
    IF (FUNDVA  <= -1) THEN FUNDVA  = .;
    IF (REVCHK17  <= -1) THEN REVCHK17  = .;
    IF (FUNDPRIVCOMM  <= -1) THEN FUNDPRIVCOMM  = .;
    IF (REVCHK2A  <= -1) THEN REVCHK2A  = .;
    IF (LICENMH  <= -1) THEN LICENMH  = .;
    IF (LICENSED  <= -1) THEN LICENSED  = .;
    IF (LICENPH  <= -1) THEN LICENPH  = .;
    IF (LICENSEDFCS  <= -1) THEN LICENSEDFCS  = .;
    IF (LICENHOS  <= -1) THEN LICENHOS  = .;
    IF (JCAHO  <= -1) THEN JCAHO  = .;
    IF (CARF  <= -1) THEN CARF  = .;
    IF (COA  <= -1) THEN COA  = .;
    IF (CMS  <= -1) THEN CMS  = .;
    IF (OTHSTATE  <= -1) THEN OTHSTATE  = .;
    IF (OTHFAC  <= -1) THEN OTHFAC  = .;
    IF (FACNUM  <= -1) THEN FACNUM  = .;
    IF (IPSERV  <= -1) THEN IPSERV  = .;
    IF (IPTOTAL  <= -1) THEN IPTOTAL  = .;
    IF (IPSEXTOTM  <= -1) THEN IPSEXTOTM  = .;
    IF (IPSEXPERM  <= -1) THEN IPSEXPERM  = .;
    IF (IPSEXTOTF  <= -1) THEN IPSEXTOTF  = .;
    IF (IPSEXPERF  <= -1) THEN IPSEXPERF  = .;
    IF (IPAGETOT017  <= -1) THEN IPAGETOT017  = .;
    IF (IPAGEPER017  <= -1) THEN IPAGEPER017  = .;
    IF (IPAGETOT1864  <= -1) THEN IPAGETOT1864  = .;
    IF (IPAGEPER1864  <= -1) THEN IPAGEPER1864  = .;
    IF (IPAGETOT65  <= -1) THEN IPAGETOT65  = .;
    IF (IPAGEPER65  <= -1) THEN IPAGEPER65  = .;
    IF (IPETHTOTHISP  <= -1) THEN IPETHTOTHISP  = .;
    IF (IPETHPERHISP  <= -1) THEN IPETHPERHISP  = .;
    IF (IPETHTOTNONHISP  <= -1) THEN IPETHTOTNONHISP  = .;
    IF (IPETHPERNONHISP  <= -1) THEN IPETHPERNONHISP  = .;
    IF (IPETHTOTUNK  <= -1) THEN IPETHTOTUNK  = .;
    IF (IPETHPERUNK  <= -1) THEN IPETHPERUNK  = .;
    IF (IPRACETOTINDIAN  <= -1) THEN IPRACETOTINDIAN  = .;
    IF (IPRACEPERINDIAN  <= -1) THEN IPRACEPERINDIAN  = .;
    IF (IPRACETOTASIAN  <= -1) THEN IPRACETOTASIAN  = .;
    IF (IPRACEPERASIAN  <= -1) THEN IPRACEPERASIAN  = .;
    IF (IPRACETOTBLK  <= -1) THEN IPRACETOTBLK  = .;
    IF (IPRACEPERBLK  <= -1) THEN IPRACEPERBLK  = .;
    IF (IPRACETOTHAWPAC  <= -1) THEN IPRACETOTHAWPAC  = .;
    IF (IPRACEPERHAWPAC  <= -1) THEN IPRACEPERHAWPAC  = .;
    IF (IPRACETOTWHIT  <= -1) THEN IPRACETOTWHIT  = .;
    IF (IPRACEPERWHIT  <= -1) THEN IPRACEPERWHIT  = .;
    IF (IPRACETOTMR  <= -1) THEN IPRACETOTMR  = .;
    IF (IPRACEPERMR  <= -1) THEN IPRACEPERMR  = .;
    IF (IPRACETOTUNK  <= -1) THEN IPRACETOTUNK  = .;
    IF (IPRACEPERUNK  <= -1) THEN IPRACEPERUNK  = .;
    IF (IPLEGALTOTVOL  <= -1) THEN IPLEGALTOTVOL  = .;
    IF (IPLEGALPERVOL  <= -1) THEN IPLEGALPERVOL  = .;
    IF (IPLEGALTOTNONFOREN  <= -1) THEN IPLEGALTOTNONFOREN  = .;
    IF (IPLEGALPERNONFOREN  <= -1) THEN IPLEGALPERNONFOREN  = .;
    IF (IPLEGALTOTFOREN  <= -1) THEN IPLEGALTOTFOREN  = .;
    IF (IPLEGALPERFOREN  <= -1) THEN IPLEGALPERFOREN  = .;
    IF (IPBEDS  <= -1) THEN IPBEDS  = .;
    IF (RCSERV  <= -1) THEN RCSERV  = .;
    IF (RCTOTAL  <= -1) THEN RCTOTAL  = .;
    IF (RCSEXTOTM  <= -1) THEN RCSEXTOTM  = .;
    IF (RCSEXPERM  <= -1) THEN RCSEXPERM  = .;
    IF (RCSEXTOTF  <= -1) THEN RCSEXTOTF  = .;
    IF (RCSEXPERF  <= -1) THEN RCSEXPERF  = .;
    IF (RCAGETOT017  <= -1) THEN RCAGETOT017  = .;
    IF (RCAGEPER017  <= -1) THEN RCAGEPER017  = .;
    IF (RCAGETOT1864  <= -1) THEN RCAGETOT1864  = .;
    IF (RCAGEPER1864  <= -1) THEN RCAGEPER1864  = .;
    IF (RCAGETOT65  <= -1) THEN RCAGETOT65  = .;
    IF (RCAGEPER65  <= -1) THEN RCAGEPER65  = .;
    IF (RCETHTOTHISP  <= -1) THEN RCETHTOTHISP  = .;
    IF (RCETHPERHISP  <= -1) THEN RCETHPERHISP  = .;
    IF (RCETHTOTNONHISP  <= -1) THEN RCETHTOTNONHISP  = .;
    IF (RCETHPERNONHISP  <= -1) THEN RCETHPERNONHISP  = .;
    IF (RCETHTOTUNK  <= -1) THEN RCETHTOTUNK  = .;
    IF (RCETHPERUNK  <= -1) THEN RCETHPERUNK  = .;
    IF (RCRACETOTINDIAN  <= -1) THEN RCRACETOTINDIAN  = .;
    IF (RCRACEPERINDIAN  <= -1) THEN RCRACEPERINDIAN  = .;
    IF (RCRACETOTASIAN  <= -1) THEN RCRACETOTASIAN  = .;
    IF (RCRACEPERASIAN  <= -1) THEN RCRACEPERASIAN  = .;
    IF (RCRACETOTBLK  <= -1) THEN RCRACETOTBLK  = .;
    IF (RCRACEPERBLK  <= -1) THEN RCRACEPERBLK  = .;
    IF (RCRACETOTHAWPAC  <= -1) THEN RCRACETOTHAWPAC  = .;
    IF (RCRACEPERHAWPAC  <= -1) THEN RCRACEPERHAWPAC  = .;
    IF (RCRACETOTWHIT  <= -1) THEN RCRACETOTWHIT  = .;
    IF (RCRACEPERWHIT  <= -1) THEN RCRACEPERWHIT  = .;
    IF (RCRACETOTMR  <= -1) THEN RCRACETOTMR  = .;
    IF (RCRACEPERMR  <= -1) THEN RCRACEPERMR  = .;
    IF (RCRACETOTUNK  <= -1) THEN RCRACETOTUNK  = .;
    IF (RCRACEPERUNK  <= -1) THEN RCRACEPERUNK  = .;
    IF (RCLEGALTOTVOL  <= -1) THEN RCLEGALTOTVOL  = .;
    IF (RCLEGALPERVOL  <= -1) THEN RCLEGALPERVOL  = .;
    IF (RCLEGALTOTNONFOREN  <= -1) THEN RCLEGALTOTNONFOREN  = .;
    IF (RCLEGALPERNONFOREN  <= -1) THEN RCLEGALPERNONFOREN  = .;
    IF (RCLEGALTOTFOREN  <= -1) THEN RCLEGALTOTFOREN  = .;
    IF (RCLEGALPERFOREN  <= -1) THEN RCLEGALPERFOREN  = .;
    IF (RCBEDS  <= -1) THEN RCBEDS  = .;
    IF (OPSERV  <= -1) THEN OPSERV  = .;
    IF (OPTOTAL  <= -1) THEN OPTOTAL  = .;
    IF (OPSEXTOTM  <= -1) THEN OPSEXTOTM  = .;
    IF (OPSEXPERM  <= -1) THEN OPSEXPERM  = .;
    IF (OPSEXTOTF  <= -1) THEN OPSEXTOTF  = .;
    IF (OPSEXPERF  <= -1) THEN OPSEXPERF  = .;
    IF (OPAGETOT017  <= -1) THEN OPAGETOT017  = .;
    IF (OPAGEPER017  <= -1) THEN OPAGEPER017  = .;
    IF (OPAGETOT1864  <= -1) THEN OPAGETOT1864  = .;
    IF (OPAGEPER1864  <= -1) THEN OPAGEPER1864  = .;
    IF (OPAGETOT65  <= -1) THEN OPAGETOT65  = .;
    IF (OPAGEPER65  <= -1) THEN OPAGEPER65  = .;
    IF (OPETHTOTHISP  <= -1) THEN OPETHTOTHISP  = .;
    IF (OPETHPERHISP  <= -1) THEN OPETHPERHISP  = .;
    IF (OPETHTOTNONHISP  <= -1) THEN OPETHTOTNONHISP  = .;
    IF (OPETHPERNONHISP  <= -1) THEN OPETHPERNONHISP  = .;
    IF (OPETHTOTUNK  <= -1) THEN OPETHTOTUNK  = .;
    IF (OPETHPERUNK  <= -1) THEN OPETHPERUNK  = .;
    IF (OPRACETOTINDIAN  <= -1) THEN OPRACETOTINDIAN  = .;
    IF (OPRACEPERINDIAN  <= -1) THEN OPRACEPERINDIAN  = .;
    IF (OPRACETOTASIAN  <= -1) THEN OPRACETOTASIAN  = .;
    IF (OPRACEPERASIAN  <= -1) THEN OPRACEPERASIAN  = .;
    IF (OPRACETOTBLK  <= -1) THEN OPRACETOTBLK  = .;
    IF (OPRACEPERBLK  <= -1) THEN OPRACEPERBLK  = .;
    IF (OPRACETOTHAWPAC  <= -1) THEN OPRACETOTHAWPAC  = .;
    IF (OPRACEPERHAWPAC  <= -1) THEN OPRACEPERHAWPAC  = .;
    IF (OPRACETOTWHIT  <= -1) THEN OPRACETOTWHIT  = .;
    IF (OPRACEPERWHIT  <= -1) THEN OPRACEPERWHIT  = .;
    IF (OPRACETOTMR  <= -1) THEN OPRACETOTMR  = .;
    IF (OPRACEPERMR  <= -1) THEN OPRACEPERMR  = .;
    IF (OPRACETOTUNK  <= -1) THEN OPRACETOTUNK  = .;
    IF (OPRACEPERUNK  <= -1) THEN OPRACEPERUNK  = .;
    IF (OPLEGALTOTVOL  <= -1) THEN OPLEGALTOTVOL  = .;
    IF (OPLEGALPERVOL  <= -1) THEN OPLEGALPERVOL  = .;
    IF (OPLEGALTOTNONFOREN  <= -1) THEN OPLEGALTOTNONFOREN  = .;
    IF (OPLEGALPERNONFOREN  <= -1) THEN OPLEGALPERNONFOREN  = .;
    IF (OPLEGALTOTFOREN  <= -1) THEN OPLEGALTOTFOREN  = .;
    IF (OPLEGALPERFOREN  <= -1) THEN OPLEGALPERFOREN  = .;
    IF (COD_PCT  <= -1) THEN COD_PCT  = .;
    IF (TOTADMIS  <= -1) THEN TOTADMIS  = .;
    IF (PERCENTVA  <= -1) THEN PERCENTVA  = .;
*/

RUN;
